module.exports = ((name, options)=>{

    return {
      reposervers : [
          'http://git.bbh'
        , 'https://git.bbh.org.in'
        , '//172.16.0.27/repos'
				, 'https://github.com'
      ]

      // User can always add more branches and remotes as needed. Mainifest only occupies 
        // well defined namespaces
      , remotes : [
				  // these are both fetch and push remotes. Use push - remotes to overrid.
          { 'chess' : 'http://git.bbh/chess/elxr.git' }
        , { 'public-baptistdev' : 'https://github.com/baptistdev/elxr.git' }
				
				// Multiple urls as an array doesn't tell us the current origin which may be different in 
				// different based on currently available/accessible to client.
				// This is just a list of possible equivalent options.
        , { 'origin' : [
                  `http://git.bbh/${options.gituser}/elxr.git`
                , 'https://git.bbh.org.in/${options.gituser}/elxr.git'
                , `//172.16.0.27/repos/${options.gituser}/elxr.git`
            ]
          }
      ]

			, 'push-remotes' : [
						{ 'chess' : 'no-pushing' }
					, { 'public-baptistdev' : 'no-pushing' }
					, { 'public-origin' : 'no-pushing' }
				]
			
			
			// , 'fetch-remotes' : [] // Multiple fetch remotes are not supported by git.
				// We therefore need to use 
				// - a pullall 
				// - or branch alias for multiple remote branch tracking branch strategy.
				// 		-- This is however limited to corresponding branch names 

      // tracking branches.
			// We at least need one branch for each remote that we wish to track.
      , 'tracking-branches' : [
        { master : ['origin/master', 'chess/master'] }
      ]
    }
  })